/************************************************************************
 *
 * SOS - Small Operating System
 *
 * This is an RTOS for TI MSP430 microcontrollers family.
 *
 * NOTICE: Copyright (C) 2002, 2003, 2004 by Oleg Skydan
 *
 * Files means any text, html, source or binary files that 
 * came with this copyright notice.
 *
 * You may use, embed, modify or distribute the contents
 * of the file(s) in any way you see fit as long as you
 * include this copyright notice in the resulting file(s).
 *
 * Any commercial or industrial use, except of SPECIAL EXCEPTION, 
 * including publishing or distributing SOS in any form IS 
 * PROHIBITED, and requires the written authorization of the author. 
 *
 * SPECIAL EXCEPTION:
 * If you choose to link SOS with other files to produce an
 * executable, this does not by itself cause the resulting 
 * executable to be covered by this license. Your use of the 
 * executable is in no way restricted on account of linking 
 * the SOS code with it. 
 *
 * SOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; WITH NO RESPONSIBILITY 
 * assumed by the author for bug fixes, support, or 
 * DAMAGES OF ANY SORT arising from the use of the SOS. 
 * 
 *
 * The program author can be contacted by E-mail at skidan@mail.ints.net
 *
 * For more details on the background or use of the program, please visit
 * http://users.ints.net/skidan/SOS
 *
 * OS configuration file
 ****************************************************************************/

#define MAX_TASKS 10		//Maximum number of tasks
#define TASK_QUANTUM 30		//Execution period for round-robin sheduler

//#define RR_SHEDULER    //Uncomment to activate Round-Robin sheduler

//#define NO_IDLE_TASK   //Uncomment if you do not want to use IDLE task, or
                         //want to use power management features

#define EVENTS_MODE 0xFFFFFF80  //Initial events mode bit mask (0-manual reset,1=auto reset)

//These values are used in critical section.
#define CS_STEP 0x10		
#define CS_TID  0x0F
#define CS_COUNTER 0xF0

//Maximum number of timers
#define TIMERS_COUNT 7
//Timer B clock frequency
#define TIMER_B_FRQ 32768UL

//Just include appropriate header file 
#include <io.h>
